One password will not open after updating to OS Mojave

One password Version 3.8.18 (build 31318) will not open after updating to OS Mojave. I try to update and 1P says Check for Update failed with error: Could not understand response from server. . Help!!


1Password Version: Not Provided
Extension Version: Not Provided
OS Version: OSX 10.14.13
Sync Type: Not Provided
Referrer: forum-search:One password Version 3.8.18 (build 31318) will not open after updating to OS Mojave. I try to update and 1P says Check for Update failed with error: Could not understand response from server. . Help!!

Comments

  • brentybrenty

    Team Member

    @Jbone68: Thanks for reaching out. I’m sorry for the confusion! We changed our update process years ago, so version 3.8.18, which was released on 2012/03/24 -- almost exactly 7 years ago -- simply cannot communicate with it.

    Indeed, 1Password 3 itself was developed in 2009, and only supports OS X Snow Leopard and Lion. It is not compatible with recent macOS and browser releases. It just isn't compatible with modern versions of macOS -- it isn't even called OS X anymore! Anyway, you can read more details in the announcement at the top of this forum category:

    1Password 3: Modern browsers and OS X

    1Password 7, one the other hand, can import data from 1Password 3, and fully supports macOS Sierra, High Sierra, and Mojave, along with the latest web browsers. You can get that and the latest version of all of the apps as part of a 1Password.com membership. I hope this helps. Be sure to let me know if you have any other questions! :)

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file